<?php

namespace OCA\BookmarksMiddleware;

use \OCP\AppFramework\Middleware;
use \OCP\AppFramework\Utility\ControllerMethodReflector;
use \OCP\IResponse;

class BasicAuthMiddleware extends Middleware {
	private $reflector;

	public function __construct(ControllerMethodReflector $reflector) {
		$this->reflector = $reflector;
	}
	public function beforeController($controller, $methodName, $output) {
		return str_replace('bad words', '********', $output);
	}
}
